# Disable binary stripping. Required because stripping gcc-go compiled programs make them unrunable..
%global __os_install_post %{nil}


Name:           devtodo2
Version:        2.1
Summary:        Manage a prioritized list of to do items organized by directory
%global checkout 20120711git8dee6
%global gooptcheckout 20120711git8dd57
Release:        8.%{checkout}%{?dist}
License:        ASL 2.0
Group:          Development/Tools
URL:            http://swapoff.org/DevTodo
# Created by:
# 1. git clone git://github.com/alecthomas/devtodo2.git devtodo2-2.1
# 2. rm -rf devtodo2-2.1/.git
# 3. tar -cavf devtodo2-(version)-(checkout).tar.gz devtodo2-2.1/
Source0:        %{name}-%{version}-%{checkout}.tar.gz
Patch0:         %{name}.fiximport.patch
# Created by:
# 1. git clone git://github.com/droundy/goopt.git goopt
# 2. rm -rf goopt/.git goopt/git
# 3. tar -cavf goopt.tar.gz goopt/
Source1:        goopt-%{gooptcheckout}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gcc-go

# We can not yet extract debuginfo from Go
%define debug_package %{nil}

# This was changed for EPEL5 to the first suggestion
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
DevTodo is a program to display and manage a hierarchical, prioritized list of 
outstanding work, or just reminders.

For much more complete information please refer to the man page (todo2(1)).


%prep
%setup -T -b 0 -q -D
%patch0
%setup -T -b 1 -q -D


%build
cd %{_builddir}/goopt
gccgo -g -c goopt.go slice.go -o goopt.o
cd %{_builddir}/%{buildsubdir}
gccgo -g -c todo.go view.go consoleview.go legacyio.go jsonio.go main.go importer.go -o todo2.o
gccgo -g %{_builddir}/goopt/goopt.o %{_builddir}/%{buildsubdir}/todo2.o -o todo2
./todo2 --create-manpage >todo2.1


%install
rm -rf %{buildroot} #for EPEL
mkdir -p %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_mandir}/man1/
cp %{_builddir}/%{buildsubdir}/todo2 %{buildroot}%{_bindir}/
cp %{_builddir}/%{buildsubdir}/todo2.1 %{buildroot}%{_mandir}/man1/


%clean
rm -rf %{buildroot}


%files
%{_bindir}/todo2
%{_mandir}/man1/todo2*
%doc README.rst


%changelog
* Thu Jan 09 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 2.1-8.20120711git8dee6
- Disable stripping to fix bug in gcc-go

* Tue Nov 12 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.1-7.20120711git8dee6
- Rebuild for unannounced libgo update

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6.20120711git8dee6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.1-5.20120711git8dee6
- Fix gcc-go issues

* Fri Jan 25 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.1-4.20120711git8dee6
- Rebuild for gcc upgrade

* Sun Aug 05 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.1-3.20120711git8dee6
- Added EL5 support

* Sun Aug 05 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.1-2.20120711git8dee6
- Fixed review issues

* Wed Jul 11 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.1-1.20120711git8dee6
- Initial packaging attempt for DevTodo2
